Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 602486 - org.rhq.core.util.updater.Deployer class uses Java6 API java.io.File.getUsableSpace()
org.rhq.core.util.updater.Deployer class uses Java6 API java.io.File.getUsabl...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: No Component (Show other bugs)
3.0.0
All All
medium Severity medium (vote)
: ---
: ---
Assigned To: John Mazzitelli
Corey Welton
:
Depends On:
Blocks: jon-sprint11-bugs
  Show dependency treegraph
 
Reported: 2010-06-09 19:24 EDT by Ian Springer
Modified: 2013-08-05 20:37 EDT (History)
1 user (show)

See Also:
Fixed In Version: 2.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-12 12:48:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ian Springer 2010-06-09 19:24:56 EDT
/home/test_jon/release/rhq/modules/core/util/src/main/java/org/rhq/core/util/updater/Deployer.java:[249,36] cannot find symbol
symbol  : method getUsableSpace()
location: class java.io.File
Comment 1 John Mazzitelli 2010-06-09 21:11:04 EDT
dammit - can we pleeeeeeease move to JDK6?

should be easy to comment out that stuff and after the release we uncomment it since we are moving to JDK6 next release (RIGHT!?!?)
Comment 2 John Mazzitelli 2010-06-09 21:21:07 EDT
Here's the small patch that will fix this - after release, we undo this to bring it back (apply to org.rhq.core.util.updater.Deployer):

@@ -247,2 +247,4 @@ public class Deployer {
 
+        /*
+        OH TO BE ABLE TO USE A MODERN JDK - THIS NEEDS JDK6
         File partition = this.deploymentData.getDestinationDir();
@@ -257,2 +259,4 @@ public class Deployer {
         diskUsage.setMaxDiskUsable(usableSpace);
+        */
+        diskUsage.setMaxDiskUsable(Long.MAX_VALUE);
Comment 3 John Mazzitelli 2010-07-06 10:00:47 EDT
master commit 5a4cc93421258718ebc10736616968ede431b4d4

there is really nothing to QA, this is a code change. However, bundle deployment will no longer work if the agent is running on an older JDK - must use JDK 6 at least.
Comment 4 Corey Welton 2010-07-06 16:32:23 EDT
QA Closing.
Comment 5 Corey Welton 2010-08-12 12:48:39 EDT
Mass-closure of verified bugs against JON.

Note You need to log in before you can comment on or make changes to this bug.